Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_QoSProperties Class Reference

`#include <QoSProperties.h>`

Inheritance diagram for TAO_Notify_QoSProperties:

[legend]
Collaboration diagram for TAO_Notify_QoSProperties:

[legend]
List of all members.

## Public Methods
| TAO_Notify_QoSProperties (void)
| Constuctor.
| ~TAO_Notify_QoSProperties ()
| Destructor.
int | init (const CosNotification::PropertySeq &prop_seq, CosNotification::PropertyErrorSeq &err_seq)
| Return 0 on success, 1 if unsupported properties were detected and -1 on error.
int | copy (TAO_Notify_QoSProperties &qos_properties)
| Populate <qos_properties> with all properties from this object. Returns -1 on error.
int | transfer (TAO_Notify_QoSProperties &qos_properties)
| Populate <qos_properties> with properties that can be transfered.Returns -1 on error.
const TAO_Notify_Property_ThreadPool & | thread_pool (void) const
const TAO_Notify_Property_ThreadPoolLanes & | thread_pool_lane (void) const
| ThreadPoolLane.
const TAO_Notify_Property_Long & | maximum_batch_size (void) const
| Maximum Batch Size.
const TAO_Notify_Property_Time & | pacing_interval (void) const
| Pacing Interval.
## Protected Types
enum | { UNSUPPORTED_PROPERTY_COUNT = 3 }
## Protected Methods
int | unsupported (ACE_CString &name)
| Return 1 if <value> is unsupported.
## Protected Attributes
ACE_CString | unsupported_ [UNSUPPORTED_PROPERTY_COUNT]
| = Unsupported Properties.
TAO_Notify_Property_Short | priority_
| = Supported properties Priority
TAO_Notify_Property_Time | timeout_
| Timeout.
TAO_Notify_Property_Boolean | stop_time_supported_
| Stop Time Supported.
TAO_Notify_Property_Long | maximum_batch_size_
| Maximum Batch Size.
TAO_Notify_Property_Time | pacing_interval_
| Pacing Interval.
TAO_Notify_Property_ThreadPool | thread_pool_
| ThreadPool Params.
TAO_Notify_Property_ThreadPoolLanes | thread_pool_lane_
| ThreadPoolLane Params.

## Member Enumeration Documentation

anonymous enum`[protected]`

  | Enumeration values:
  UNSUPPORTED_PROPERTY_COUNT |

## Constructor & Destructor Documentation

TAO_Notify_QoSProperties::TAO_Notify_QoSProperties | ( | void |  | ) |

| Constuctor.

TAO_Notify_QoSProperties::~TAO_Notify_QoSProperties | ( |  | ) |

| Destructor.

## Member Function Documentation

int TAO_Notify_QoSProperties::copy | ( | TAO_Notify_QoSProperties & | qos_properties | ) |

| Populate <qos_properties> with all properties from this object. Returns -1 on error.

int TAO_Notify_QoSProperties::init | ( | const CosNotification::PropertySeq & | prop_seq,
|  | CosNotification::PropertyErrorSeq & | err_seq
| ) |

| Return 0 on success, 1 if unsupported properties were detected and -1 on error.

const TAO_Notify_Property_Long& TAO_Notify_QoSProperties::maximum_batch_size | ( | void |  | ) | const

| Maximum Batch Size.

const TAO_Notify_Property_Time& TAO_Notify_QoSProperties::pacing_interval | ( | void |  | ) | const

| Pacing Interval.

const TAO_Notify_Property_ThreadPool& TAO_Notify_QoSProperties::thread_pool | ( | void |  | ) | const

| = Accessors ThreadPool

const TAO_Notify_Property_ThreadPoolLanes& TAO_Notify_QoSProperties::thread_pool_lane | ( | void |  | ) | const

| ThreadPoolLane.

int TAO_Notify_QoSProperties::transfer | ( | TAO_Notify_QoSProperties & | qos_properties | ) |

| Populate <qos_properties> with properties that can be transfered.Returns -1 on error.

int TAO_Notify_QoSProperties::unsupported | ( | ACE_CString & | name | ) | `[protected]`

| Return 1 if <value> is unsupported.

## Member Data Documentation

TAO_Notify_Property_Long TAO_Notify_QoSProperties::maximum_batch_size_`[protected]`

| Maximum Batch Size.

TAO_Notify_Property_Time TAO_Notify_QoSProperties::pacing_interval_`[protected]`

| Pacing Interval.

TAO_Notify_Property_Short TAO_Notify_QoSProperties::priority_`[protected]`

| = Supported properties Priority

TAO_Notify_Property_Boolean TAO_Notify_QoSProperties::stop_time_supported_`[protected]`

| Stop Time Supported.

TAO_Notify_Property_ThreadPool TAO_Notify_QoSProperties::thread_pool_`[protected]`

| ThreadPool Params.

TAO_Notify_Property_ThreadPoolLanes TAO_Notify_QoSProperties::thread_pool_lane_`[protected]`

| ThreadPoolLane Params.

TAO_Notify_Property_Time TAO_Notify_QoSProperties::timeout_`[protected]`

| Timeout.

ACE_CString TAO_Notify_QoSProperties::unsupported_[UNSUPPORTED_PROPERTY_COUNT]`[protected]`

| = Unsupported Properties.

The documentation for this class was generated from the following files:

- QoSProperties.h
- QoSProperties.cpp